> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/publisher/docs/template-tags/email-notification-templates.md).

# Email Notification Templates

ExpressionEngine's native **Message Pages > Email Notifications** templates can be updated to contain the two following variables:

* `{translated_entry_url}`This variable is exactly the same as the `{entry_url}` variable in the email templates in that it will create a URL based on the *Channel URL* in the Channel's Path Settings section suffixed with the entry's URL Title. The only difference is it will translate the URL accordingly.
* `{preview_url}`This variable will create a full URL to the entry based on its Page or Structure URL or the path defined in Publisher's Template Previews settings.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/publisher/docs/template-tags/email-notification-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
